CLEAR
CLEAR ALL
SET TALK OFF
SET BELL OFF
SET CONFIRM ON
SET STATUS OFF

DO WHILE .T.
  CLEAR
  datei=SPACE(8)
  dateiname=SPACE(12)
  @ 1,15 SAY "VERWALTUNG VON ZENSURA-DATEIEN UNTER DBASE III+"
  @ 2,15 SAY "==============================================="
  @ 4,15 SAY "Dieses Programm liest eine ZENSURA-Datei mit der "
  @ 5,15 SAY "Dateinamenerweiterung '.TXT' ein, erzeugt daraus"
  @ 6,15 SAY "eine DBASE-Datei mit der Endung '.DBF' und "
  @ 7,15 SAY "indiziert diese Datei."
  @ 8,15 SAY "Vernderte 'DBF'-Dateien knnen wieder als 'TXT'-Dateien"
  @ 9,15 SAY "gespeichert werden."
  @11,15 SAY "Welche ZENSURA-Datei (*.txt) soll gelesen werden? ==>" GET datei
  READ
  datei = TRIM(datei)
  dateiname=datei+".txt"
  DO CASE
    CASE FILE("&dateiname")
      EXIT
    CASE READKEY()=12
      RETURN
  ENDCASE
  @ 20,0 SAY "Diese Datei existiert nicht !"
  WAIT
ENDDO

SELECT 1
USE zensurdb ALIAS ze
COPY TO temp STRUCTURE EXTENDED
CREATE &datei FROM temp
DELETE FILE temp.dbf
CLEAR FIELDS
CLEAR GETS
CLOSE DATABASES
SELECT 2
USE &datei ALIAS ZENSURDB
APPEND FROM &dateiname SDF
INDEX ON nachname TO &datei
DO WHILE .T.
  @ 0,0 CLEAR
  @ 0,35 SAY "VERWALTUNG"
  @ 1,35 SAY "=========="
  @ 5,15 SAY "S      = Suchen und ndern (mit ^End beenden)"
  @ 6,15 SAY "N      = Neueingabe        (mit ^End beenden)"
  @ 7,15 SAY "E      = Erzeugen einer 'TXT'-Datei"
  @ 8,15 SAY "L      = Lscht alle mit ^U markierten Datenstze"
  @10,15 SAY "RETURN = Ende"
  ?
  WAIT "               Eingabe ==>" TO taste
  taste=UPPER(taste)
  DO CASE
    CASE taste="S"
      DO WHILE .T.
        @ 0,0 CLEAR
        @ 0,35 SAY "VERWALTUNG"
        @ 1,35 SAY "=========="
        name91=SPACE(30)
        @ 4,15 SAY "RETURN = Zurck ins Men"
        @ 5,15 SAY "Suchbegriff ==> " GET name91
        READ
        name91 = TRIM(LTRIM(name91))
        IF LEN(name91) = 0
          EXIT
        ENDIF
        SEEK name91
        IF EOF()
          ? "Nichts gefunden !!"
          WAIT
        ELSE
          SET FORMAT TO zensurdb
          EDIT
          SET FORMAT TO
        ENDIF
      ENDDO
    CASE taste="N"
      SET FORMAT TO zensurdb
      APPEND
      SET FORMAT TO
    CASE taste="E"
      copy to &datei sdf
    CASE taste="L"
      SET TALK ON
      @ 2,0 CLEAR
      @ 5,15 SAY "Moment..."
      PACK
      SET TALK OFF
    CASE LEN(taste)=0
      CLEAR ALL
      @ 0,0 CLEAR
      SET TALK ON
      SET BELL ON
      SET CONFIRM OFF
      RETURN
  ENDCASE
ENDDO



